commit: c35270316fea2043b89abbf2d913dfdfdf704e1f
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu May 29 06:06:19 2025 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu May 29 06:06:19 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3527031
dev-ruby/net-http-persistent: add 4.0.6
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/net-http-persistent/Manifest | 1 +
.../net-http-persistent-4.0.6.ebuild | 33 ++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-ruby/net-http-persistent/Manifest
b/dev-ruby/net-http-persistent/Manifest
index 1a8b3e5b438f..96079d1c05eb 100644
--- a/dev-ruby/net-http-persistent/Manifest
+++ b/dev-ruby/net-http-persistent/Manifest
@@ -1,2 +1,3 @@
DIST net-http-persistent-4.0.4.tar.gz 24093 BLAKE2B
9470b3638dd5c4fcf5af93c7341c73e10c7e70a4a86e20e6f425a3449fcb0b5950adb4579cb12926e64556f03eaf3c3aaf3969694dd8bbc82d6d9dc59077c4a7
SHA512
43e51d6803d381af6a203508484c7bd39356d277818541fd192c0c539d4ec9e2088414b199f99b174def59e1818b9bf34d1d205d4137c9529fc7409d6813a986
DIST net-http-persistent-4.0.5.tar.gz 24367 BLAKE2B
724f72ed14198493c1b044157cb233010bab470be6915998eb19c32ced5f701e86f2534fefea088d3f46ea0acd4b07c1c5e3b8e6d191a006a97d012a4b6adca7
SHA512
79aea45a34631935de65d21db2b7f8832f60a107e70d40cd6d52b4a0fe5c4790222c8aa673b677b4c9a5c58e5d1718c95c81a33866b35c390d49d41854361d05
+DIST net-http-persistent-4.0.6.tar.gz 24710 BLAKE2B
ade3149e6c745d6cafe3baba2baa982eb705c1e848250d142820ef630da141cf496192b3a907f4c6b4019d99c02abac60b454526e1c7fefa19001e80356c8d26
SHA512
25a4cba18943c034b1b8abe4eebb1b314f1bfc534b5815e590ca6a53bd1fb112aab00eef95ce4073807e2ee9328661efe7249a70822aa7c627d503c70ce47d4c
diff --git a/dev-ruby/net-http-persistent/net-http-persistent-4.0.6.ebuild
b/dev-ruby/net-http-persistent/net-http-persistent-4.0.6.ebuild
new file mode 100644
index 000000000000..1c734e53ac59
--- /dev/null
+++ b/dev-ruby/net-http-persistent/net-http-persistent-4.0.6.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manages persistent connections using Net::HTTP plus a speed fix
for Ruby 1.8"
+HOMEPAGE="https://github.com/drbrain/net-http-persistent"
+SRC_URI="https://github.com/drbrain/net-http-persistent/archive/refs/tags/v${PV}.tar.gz
-> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="doc test"
+
+ruby_add_rdepend ">=dev-ruby/connection_pool-2.2.4:0"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ # Not relevant for us (we're just using rake for the tests)
+ sed -i -e '/require "rake\/manifest"/,/^end/ s:^:#:' Rakefile || die
+
+ # avoid test with implicit dependency on net-http-pipeline which
+ # fails and is not tested upstream
+ sed -i -e '/net-http-pipeline not installed/ s/unless.*$//'
test/test_net_http_persistent.rb || die
+}